#ifndef ClusterSquadsWidget_H
#define ClusterSquadsWidget_H

// $Id: ClusterSquadsWidget.H,v 1.1 2006/08/10 17:09:15 nicholas Exp $

// This is an ORTS file (c) Tim Furtak, licensed under the GPL

#include "Global.H"
#include "CWidget.H"
#include "GfxGlobal.H"
#include "ClusterSquads.H"
#include "CGridBase.H"

//===================================================================

class ClusterSquadsWidget : public CGridBase
{
private:
  
  int wwidth;
  int wheight;
  
  const ClusterSquads *squads;
  
  sint4 num_players;
  Vector<sint4> show_player;
  
  Vector<Vector<Vec4<real4> > > colors;
  
  void init();
  
public:
  
  ClusterSquadsWidget(const ClusterSquads &squads);
  ~ClusterSquadsWidget() {}
  
  virtual stype event_key_down(stype key, stype mod, stype x, stype y);
  virtual stype draw();
  
  // void set_env(Environment *env);
  // void set_pp(PathProcessor *pp) { this->pp = pp; }
  // void set_tp(int tp) { tile_points = tp; };
};

//===================================================================

#endif
